
Redmine - Patch #4299

Add tabindex to login screen

2009-11-27 12:59 - Henrik Ammer

Status: Closed Start date: 2009-11-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Description

When on the loginscreen there were no tabindex' defined.

I made it follow the login, password, open id, stay logged in and finally the login button (therefor skipping the "lost password" link.

However, the checkbox autologin is now set to true as default since check_box_tag could not set any options of not both value and

checked status was defined. If it should be false as default I can ofcourse fix that to.

Note that this was mostly a test on how to make patches and therefor I did one for the thing that was an easy fix for not that big a

problem. :)

Patched from r3092.

Related issues:

Has duplicate Redmine - Feature #4429: Optimize login form for keybord access Closed 2009-12-17

Associated revisions

Revision 3098 - 2009-11-27 21:30 - Jean-Philippe Lang

Add tabindex to login screen (#4299).

History

#1 - 2009-11-27 13:31 - Henrik Ammer

- File tabindex_loginpage_fixed.diff added

One rookie mistake: I didn't run the svn diff in the redmine directorybut in the app/views/account directory. I'm adding a new patch that fixes this.

#2 - 2009-11-27 21:24 - Jean-Philippe Lang

- Category set to UI

- Status changed from New to Closed

- Target version set to 0.9.0

Patch committed in r3098 with slight change (autologin should definitely stay disabled by default).

Thanks.

Files

tabindex_loginpage.diff 1.55 KB 2009-11-27 Henrik Ammer

tabindex_loginpage_fixed.diff 1.6 KB 2009-11-27 Henrik Ammer
